Skip to main content
GET
/
webhooks
/
{id}
/
deliveries
/
{delivery_id}
Get webhook event delivery
curl --request GET \
  --url https://api.sevalla.com/v3/webhooks/{id}/deliveries/{delivery_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "webhook_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "event_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "event_type": "APP_DEPLOY",
  "status": "SUCCESS",
  "endpoint": "https://example.com/webhooks",
  "payload": "{\"webhook_id\":\"...\",\"event_id\":\"...\",\"type\":\"APP_DEPLOY\",\"data\":{...}}",
  "response": "{\"received\":true}",
  "response_status": 200,
  "response_time_ms": 150,
  "sent_at": "2025-01-30T00:00:00.000Z",
  "created_at": "2025-01-30T00:00:00.000Z",
  "updated_at": "2025-01-30T00:00:00.000Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Webhook identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

delivery_id
string<uuid>
required

Event delivery identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Response

Default Response

id
string<uuid>
required

Unique identifier for the event delivery

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

webhook_id
string<uuid>
required

Identifier of the webhook this delivery belongs to

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

event_id
string<uuid>
required

Identifier of the event that triggered this delivery

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

event_type
enum<string>
required

Type of event that was delivered. APP_CREATE - application created. APP_UPDATE - application updated. APP_DELETE - application deleted. APP_DEPLOY - application deployed. DATABASE_CREATE - database created. DATABASE_UPDATE - database updated. DATABASE_DELETE - database deleted. STATIC_SITE_CREATE - static site created. STATIC_SITE_UPDATE - static site updated. STATIC_SITE_DELETE - static site deleted. STATIC_SITE_DEPLOY - static site deployed.

Available options:
APP_CREATE,
APP_UPDATE,
APP_DELETE,
APP_DEPLOY,
DATABASE_CREATE,
DATABASE_UPDATE,
DATABASE_DELETE,
STATIC_SITE_CREATE,
STATIC_SITE_UPDATE,
STATIC_SITE_DELETE,
STATIC_SITE_DEPLOY
Example:

"APP_DEPLOY"

status
enum<string>
required

Delivery status. PENDING - delivery is queued or in progress. SUCCESS - endpoint responded with a 2xx status. FAILED - endpoint returned a non-2xx status or the request timed out.

Available options:
PENDING,
SUCCESS,
FAILED
Example:

"SUCCESS"

endpoint
string
required

URL where the event was delivered

Example:

"https://example.com/webhooks"

payload
string | null
required

JSON-encoded event payload that was sent to the endpoint

Example:

"{\"webhook_id\":\"...\",\"event_id\":\"...\",\"type\":\"APP_DEPLOY\",\"data\":{...}}"

response
string | null
required

Response body returned by the endpoint, truncated to 10,000 characters

Example:

"{\"received\":true}"

response_status
integer | null
required

HTTP status code returned by the endpoint

Required range: 100 <= x <= 599
Example:

200

response_time_ms
integer | null
required

Time in milliseconds the endpoint took to respond

Required range: 0 <= x <= 9007199254740991
Example:

150

sent_at
string<date-time> | null
required

Timestamp when the delivery was sent, in ISO 8601 format. Null if still pending.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"

created_at
string<date-time>
required

Timestamp when the event delivery was created, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"

updated_at
string<date-time>
required

Timestamp when the event delivery was last modified, in ISO 8601 format

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-30T00:00:00.000Z"